Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class InscriptionType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.InscriptionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class InscriptionType

extends Object
implements Serializable

all information about a link person-organisation

Java class for InscriptionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InscriptionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}EncodedSSINType"/>
             <element name="Name" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" minOccurs="0"/>
             <element name="QualityCode" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}QualityCodeType" minOccurs="0"/>
             <element name="Period" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PeriodType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InscriptionType()`

Method Summary
`NameType` | `getName()` Gets the value of the name property.
`PeriodType` | `getPeriod()` Gets the value of the period property.
`String` | `getQualityCode()` Gets the value of the qualityCode property.
`EncodedSSINType` | `getSSIN()` Gets the value of the ssin property.
`void` | `setName(NameType value)` Sets the value of the name property.
`void` | `setPeriod(PeriodType value)` Sets the value of the period property.
`void` | `setQualityCode(String value)` Sets the value of the qualityCode property.
`void` | `setSSIN(EncodedSSINType value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InscriptionType

    public InscriptionType()

Method Detail

### getSSIN

    public EncodedSSINType getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `EncodedSSINType`

### setSSIN

    public void setSSIN(EncodedSSINType value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `EncodedSSINType`

### getName

    public NameType getName()

  Gets the value of the name property.

  Returns:
    possible object is `NameType`

### setName

    public void setName(NameType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `NameType`

### getQualityCode

    public String getQualityCode()

  Gets the value of the qualityCode property.

  Returns:
    possible object is `String`

### setQualityCode

    public void setQualityCode(String value)

  Sets the value of the qualityCode property.

  Parameters:
    `value` - allowed object is `String`

### getPeriod

    public PeriodType getPeriod()

  Gets the value of the period property.

  Returns:
    possible object is `PeriodType`

### setPeriod

    public void setPeriod(PeriodType value)

  Sets the value of the period property.

  Parameters:
    `value` - allowed object is `PeriodType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.